# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Catalyst.pm) perl(Catalyst/Log.pm) perl(Catalyst/Request.pm) perl(Catalyst/Utils.pm) perl(Catalyst/View.pm) perl(Config.pm) perl(ExtUtils/MakeMaker.pm) perl(Fcntl.pm) perl(FindBin.pm) perl(HTTP/Body.pm) perl(HTTP/Headers.pm) perl(HTTP/Headers/Util.pm) perl(Moose/Meta/Class.pm) perl(Moose/Role.pm) perl(Moose/Util/TypeConstraints.pm) perl(Safe.pm) perl(Scalar/Util.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Catalyst-Action-REST
Version:        1.06
Release:        alt1_2
Summary:        Automated REST Method Dispatching
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Catalyst-Action-REST/
# upstream releases tend to flip between these locations
#Source0:        http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/Catalyst-Action-REST-%{version}.tar.gz
Source0:        http://search.cpan.org/CPAN/authors/id/B/BO/BOBTFISH/Catalyst-Action-REST-%{version}.tar.gz
#Source0:        http://search.cpan.org/CPAN/authors/id/F/FL/FLORA/Catalyst-Action-REST-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Catalyst/Runtime.pm)
BuildRequires:  perl(Class/Inspector.pm)
BuildRequires:  perl(Config/General.pm)
BuildRequires:  perl(Data/Serializer.pm)
BuildRequires:  perl(Data/Taxi.pm)
BuildRequires:  perl(FreezeThaw.pm)
BuildRequires:  perl(HTML/Parser.pm)
BuildRequires:  perl(inc/Module/Install.pm)
BuildRequires:  perl(JSON.pm)
BuildRequires:  perl(JSON/XS.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Module/Pluggable/Object.pm)
BuildRequires:  perl(Moose.pm)
BuildRequires:  perl(MRO/Compat.pm)
BuildRequires:  perl(namespace/autoclean.pm)
BuildRequires:  perl(Params/Validate.pm)
BuildRequires:  perl(PHP/Serialization.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(URI/Find.pm)
BuildRequires:  perl(XML/Simple.pm)
BuildRequires:  perl(YAML/Syck.pm)
Requires:       perl(Catalyst/Runtime.pm) >= 5.800.300
Requires:       perl(Class/Inspector.pm) >= 1.13
Requires:       perl(Config/General.pm)
Requires:       perl(Data/Serializer.pm) >= 0.36
Requires:       perl(Data/Taxi.pm)
Requires:       perl(FreezeThaw.pm)
Requires:       perl(JSON.pm) >= 2.12
Requires:       perl(LWP/UserAgent.pm) >= 2.033
Requires:       perl(Moose.pm) >= 1.03
Requires:       perl(MRO/Compat.pm) >= 0.10
Requires:       perl(Params/Validate.pm) >= 0.76
Requires:       perl(PHP/Serialization.pm)
Requires:       perl(XML/Simple.pm)
Requires:       perl(YAML/Syck.pm) >= 0.67


Source44: import.info

%description
This Action handles doing automatic method dispatching for REST requests.
It takes a normal Catalyst action, and changes the dispatch to append an
underscore and method name. First it will try dispatching to an action
with the generated name, and failing that it will try to dispatch to a
regular method.

%prep
%setup -q -n Catalyst-Action-REST-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor --skipdeps
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;

# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README TODO
%{perl_vendor_privlib}/*

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1_2
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.06-alt1_1
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.05-alt1_1
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt2_1
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.00-alt1_1
- fc import

